RedBoot User's Guide
Prev |  | Next

# fs list

## Name

fs list -- List filesystem directory

## Synopsis

fs list [`directory`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`directory` | String | Pathname to directory to list. | Current directory

## Description

This command prints a list of the contents of the named directory. Each line of the listing starts with the file's inode number, which is its address in the filesystem. Following is a set of UNIX-like access flags, the first character of this will be a ”d“ if this entry is a directory. The third item indicates the number of links to the file. Following this is the size of the file in bytes and the last item is its name.

## Examples

List the current directory:

    RedBoot> fs list
    212416 d---------  3 size    128 .
    212416 d---------  3 size    128 ..
    211392 ----------  1 size   4096 image
    206784 d---------  2 size     96 tests
    RedBoot>

List a subdirectory:

    RedBoot> fs list tests
    206784 d---------  2 size     96 .
    212416 d---------  3 size    128 ..
    205760 ----------  1 size  16384 test1
    RedBoot>

Prev | Home | Next
fs move | Up | fs write